# Interface Message

interface Message {
choices?: Choice[];
created: number;
id?: string;
model?: string;
object?: string;
system_fingerprint?: string;
usage?: Usage;
}

- Defined in node_modules/@codebolt/types/types/chatMessage.d.ts:9

#####
Index

### Properties

choices?
created
id?
model?
object?
system_fingerprint?
usage?

## Properties

### `Optional` choices

choices?: Choice[]

- Defined in node_modules/@codebolt/types/types/chatMessage.d.ts:14

### created

created: number

- Defined in node_modules/@codebolt/types/types/chatMessage.d.ts:12

### `Optional` id

id?: string

- Defined in node_modules/@codebolt/types/types/chatMessage.d.ts:10

### `Optional` model

model?: string

- Defined in node_modules/@codebolt/types/types/chatMessage.d.ts:13

### `Optional` object

object?: string

- Defined in node_modules/@codebolt/types/types/chatMessage.d.ts:11

### `Optional` system_fingerprint

system_fingerprint?: string

- Defined in node_modules/@codebolt/types/types/chatMessage.d.ts:16

### `Optional` usage

usage?: Usage

- Defined in node_modules/@codebolt/types/types/chatMessage.d.ts:15